HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get device list with firmware details

This API endpoint retrieves list of device's firmware details such as firmware version, upgrade status, recommended version, firmware classification and last upgraded timestamp.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.
| Field | Operators |
| --------- | -------- |
| siteId | eq and in |
| siteName | eq and in |
| serialNumber | eq and in |
| deviceName | eq and in |
| deviceType | eq and in |
| upgradeStatus | eq and in |
| firmwareClassification | eq and in |
| firmwareVersion | eq and in |

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Comma separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc(ascending) or desc (descending).
The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.
Supported fields are siteId, serialNumber, deviceName, deviceType, upgradeStatus, firmwareClassification, and firmwareVersion.

int32
≤ 1000
Defaults to 20

Denotes the maximum number of items returned in the response. Maximum value is 1000.

string

Specifies the pagination cursor for the next page of resources. The minimum value is 1.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json